Subject: RE: Link Failure with 3rd party Windows DLLs
From: [email-masked] (Anthony Tuininga)

24 Aug 1997 17:53:08 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
Original-To: "[email-masked]'" <[email-masked]>
X-Priority: 3
X-Mailer: Internet Mail Service (5.0.1457.3)
Original-Sender: [email-masked]

Oops! I forgot to mention that this is beta 18 under Windows NT 4.0 SP2.
Sorry to waste bandwith.

> -----Original Message-----
> From:	Anthony Tuininga 
> Sent:	Friday, August 22, 1997 1:24 PM
> To:	[email-masked]'
> Subject:	Link Failure with 3rd party Windows DLLs
> 
> I looked at the mailing list archive and noticed that one other person
> got this result and had queried the list but I haven't seen a response
> to date. Perhaps this information will make it easier to track down
> the problem and suggest a solution -- I am a programmer by trade and
> so do not necessarily have a problem with making the fix myself. Note
> that I am not a compiler/linker programmer, however. :-)
> 
> I compiled and linked successfully a C program (one of Oracle's OCI
> demo programs) against the OCIW32.LIB (Oracle Call Interface library)
> which contains pointers to the OCIW32.DLL and I got the following
> result when I tried to run the program:
> 
> The procedure entry point  could not be found in the dynamic link
> library OCIW32.DLL.
> 
> Using nm and the link I noticed that the call points are null in the
> library OCIW32.LIB which seems the root cause of the problem (or is
> this normal?). Trying nm on the DLL itself simply says "no symbols".
> 
> Any pointers at all are appreciated! I really like the GCC/G++
> compilers and have used them extensively over the past five years --
> this port to Windows NT will really make life a lot easier for me!
> 
> Anthony
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".